GNU bug report logs - #37023
27.0.50; Package.el error

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Tim Cross <theophilusx@HIDDEN>; Done: Eli Zaretskii <eliz@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37023-done <at> debbugs.gnu.org:


Received: (at 37023-done) by debbugs.gnu.org; 16 Aug 2019 06:51:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 16 02:51:18 2019
Received: from localhost ([127.0.0.1]:52967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyW50-0006Uk-1o
	for submit <at> debbugs.gnu.org; Fri, 16 Aug 2019 02:51:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48158)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hyW4y-0006UV-Vd
 for 37023-done <at> debbugs.gnu.org; Fri, 16 Aug 2019 02:51:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33542)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hyW4t-0006tN-Pw; Fri, 16 Aug 2019 02:51:11 -0400
Received: from [176.228.60.248] (port=1734 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hyW4t-0008QY-6q; Fri, 16 Aug 2019 02:51:11 -0400
Date: Fri, 16 Aug 2019 09:51:05 +0300
Message-Id: <83ef1lppra.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tim Cross <theophilusx@HIDDEN>
In-reply-to: <875zmygg7u.fsf@HIDDEN> (message from Tim Cross on Fri, 16 Aug
 2019 09:29:41 +1000)
Subject: Re: bug#37023: 27.0.50; Package.el error
References: <CAC=50j_dhWDLg5CCh99nia1adEtvxT20AHm2U92yW5JK_33R8g@HIDDEN>
 <83y2zvre0m.fsf@HIDDEN> <875zmygg7u.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37023-done
Cc: 37023-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Tim Cross <theophilusx@HIDDEN>
> Cc: 37023 <at> debbugs.gnu.org
> Date: Fri, 16 Aug 2019 09:29:41 +1000
> 
> Fix tested and appears to be working. I believe the issue can be
> closed/marked resolved.
> 
> thanks for the fast response.

Thanks for testing the fix; closing.




Notification sent to Tim Cross <theophilusx@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Eli Zaretskii <eliz@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 37023 <at> debbugs.gnu.org:


Received: (at 37023) by debbugs.gnu.org; 15 Aug 2019 23:29:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 19:29:54 2019
Received: from localhost ([127.0.0.1]:52659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyPBq-0008Gs-Ep
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 19:29:54 -0400
Received: from mail-pg1-f177.google.com ([209.85.215.177]:45321)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hyPBo-0008Gf-NL
 for 37023 <at> debbugs.gnu.org; Thu, 15 Aug 2019 19:29:53 -0400
Received: by mail-pg1-f177.google.com with SMTP id o13so1968502pgp.12
 for <37023 <at> debbugs.gnu.org>; Thu, 15 Aug 2019 16:29:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=BhOsCwxiuuGIyaf9g+UotOR+OVkST7m3Bys2LPYrjiI=;
 b=DVl3+09WTFlV19qHVJvR2kVOnkA2rVKMXJDtPllFnMgRfpelsec3vCJ97lg4MzXyeW
 uO2R0OH6beEZQeluWxVk7Pih6w5jHkskx/6k+Xx66jRkSSDQUoUUq9bZnSIe1myFdnbi
 zSpm9pb0oOrqasGG02IVEH6U/p1DqEHAWUbI47lrIDCoK1ho4SWj7RTGqFdR3NcbwFEY
 wheAGRYLb9ImObxjR5+U/HE/WDbc99qgS+UJC1mmf1Hih7ZrKuREM9S9iMXYgASXMSIR
 cfyKKGML9d3ytrHyuL1E+Q9cdaJXB3gvyLd7Q4q5pVqPVDfD3YfDnYD0U7gl/cb7ox8n
 FO/A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=BhOsCwxiuuGIyaf9g+UotOR+OVkST7m3Bys2LPYrjiI=;
 b=BRfR7BwW8KswCL9f4Hwa2nycPJU3yuTHWSe60DhrPUbaFuWn5xIBfxqrdDddkZS6An
 WbYXu7kCgypkA/Bu4Dl/aq9Ey8k90t+TszEUurIjNA3T3sDxBoX3+24BcrLcdiIzLRjM
 lAzxGqCTE/6X1URBpnxLbMfmxjHeBMP4YVG3WfGi1U3GC6x58oduTaRBXTeK9XDds615
 qQpyEVdT28Lj3YDiZR4T+974EA3pM13bPbUx/BP7KLlx2bZinu1Qg49QMZlctLXRE3JK
 E0N+v1BXZ7dImgEUU6j+5YqjWaVlAxa08P4W3zkphuN5QOzcTkODv4bHQNITun6aU4mi
 /7hg==
X-Gm-Message-State: APjAAAWxO6sNhqgepo6Y5I77qAWuTLFQyv6DuwHDSJEiJX+i0U9DhUX8
 P8iJ/YqznXrJyKa+6veZHXW1jbptqgE=
X-Google-Smtp-Source: APXvYqy6d24uXONNDANcXb9s1zoxr1FI3LFc3/fCxQd5VYYOhzINF42rauC8+XGP+KajxM2FX7fILA==
X-Received: by 2002:a62:fb18:: with SMTP id x24mr7634982pfm.231.1565911786500; 
 Thu, 15 Aug 2019 16:29:46 -0700 (PDT)
Received: from tim-desktop
 (2001-44b8-31f2-bb00-7285-c2ff-fe35-d2c4.static.ipv6.internode.on.net.
 [2001:44b8:31f2:bb00:7285:c2ff:fe35:d2c4])
 by smtp.gmail.com with ESMTPSA id l25sm4110355pff.143.2019.08.15.16.29.44
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 15 Aug 2019 16:29:45 -0700 (PDT)
References: <CAC=50j_dhWDLg5CCh99nia1adEtvxT20AHm2U92yW5JK_33R8g@HIDDEN>
 <83y2zvre0m.fsf@HIDDEN>
User-agent: mu4e 1.3.4; emacs 27.0.50
From: Tim Cross <theophilusx@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37023: 27.0.50; Package.el error
In-reply-to: <83y2zvre0m.fsf@HIDDEN>
Date: Fri, 16 Aug 2019 09:29:41 +1000
Message-ID: <875zmygg7u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37023
Cc: 37023 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


Fix tested and appears to be working. I believe the issue can be
closed/marked resolved.

thanks for the fast response.

Tim

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Tim Cross <theophilusx@HIDDEN>
>> Date: Wed, 14 Aug 2019 14:14:13 +1000
>> 
>> 1. Start emacs -Q
>> 2. Add MELPA repository to package archives e.g.
>> 
>> (add-to-list 'package-archives `("melpa" . "https://melpa.org/packages/"))
>> 
>> 3. M-x package-l;ist-packages
>> 4. Try to install elisp-demos package
>> 
>> This is with current emacs 27.0.50 (commit
>> f4974d6fe6137f436763998be2). Tested under both Ubuntu 189.04 and current
>> ArchLinux systems.
>> 
>> Backtrace:
>> 
>> Debugger entered--Lisp error: (error "Package does not untar cleanly into directory elis...")
>>   signal(error ("Package does not untar cleanly into directory elis..."))
>>   error("Package does not untar cleanly into directory %s/" "elisp-demos-20190720.1301")
>>   package-untar-buffer("elisp-demos-20190720.1301")
>
> Thanks.
>
> I went down the rabbit hole (package.el->tar-mode.el->url-http.el) and
> found that fixing bug#36773 exposed an unrelated 6-year old bug in
> url-http.el.
>
> Should be fixed now.


-- 
Tim Cross




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37023; Package emacs. Full text available.

Message received at 37023 <at> debbugs.gnu.org:


Received: (at 37023) by debbugs.gnu.org; 14 Aug 2019 14:57:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 10:57:34 2019
Received: from localhost ([127.0.0.1]:49574 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxuiU-000711-9J
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 10:57:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hxuiR-00070l-Tr
 for 37023 <at> debbugs.gnu.org; Wed, 14 Aug 2019 10:57:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57475)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hxuiM-0007c7-N5; Wed, 14 Aug 2019 10:57:26 -0400
Received: from [176.228.60.248] (port=3045 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hxuiK-0003fK-7u; Wed, 14 Aug 2019 10:57:24 -0400
Date: Wed, 14 Aug 2019 17:57:13 +0300
Message-Id: <83y2zvre0m.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Tim Cross <theophilusx@HIDDEN>
In-reply-to: <CAC=50j_dhWDLg5CCh99nia1adEtvxT20AHm2U92yW5JK_33R8g@HIDDEN>
 (message from Tim Cross on Wed, 14 Aug 2019 14:14:13 +1000)
Subject: Re: bug#37023: 27.0.50; Package.el error
References: <CAC=50j_dhWDLg5CCh99nia1adEtvxT20AHm2U92yW5JK_33R8g@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37023
Cc: 37023 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Tim Cross <theophilusx@HIDDEN>
> Date: Wed, 14 Aug 2019 14:14:13 +1000
> 
> 1. Start emacs -Q
> 2. Add MELPA repository to package archives e.g.
> 
> (add-to-list 'package-archives `("melpa" . "https://melpa.org/packages/"))
> 
> 3. M-x package-l;ist-packages
> 4. Try to install elisp-demos package
> 
> This is with current emacs 27.0.50 (commit
> f4974d6fe6137f436763998be2). Tested under both Ubuntu 189.04 and current
> ArchLinux systems.
> 
> Backtrace:
> 
> Debugger entered--Lisp error: (error "Package does not untar cleanly into directory elis...")
>   signal(error ("Package does not untar cleanly into directory elis..."))
>   error("Package does not untar cleanly into directory %s/" "elisp-demos-20190720.1301")
>   package-untar-buffer("elisp-demos-20190720.1301")

Thanks.

I went down the rabbit hole (package.el->tar-mode.el->url-http.el) and
found that fixing bug#36773 exposed an unrelated 6-year old bug in
url-http.el.

Should be fixed now.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37023; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Aug 2019 04:14:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 00:14:34 2019
Received: from localhost ([127.0.0.1]:48849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxkgD-0006T3-TS
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 00:14:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:50200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <theophilusx@HIDDEN>) id 1hxkgB-0006Sv-W5
 for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 00:14:32 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38331)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <theophilusx@HIDDEN>) id 1hxkg9-0002qY-Bx
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 00:14:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <theophilusx@HIDDEN>) id 1hxkg6-0000Jm-RG
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 00:14:29 -0400
Received: from mail-ot1-x32d.google.com ([2607:f8b0:4864:20::32d]:42270)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <theophilusx@HIDDEN>)
 id 1hxkg6-0000JS-Ig
 for bug-gnu-emacs@HIDDEN; Wed, 14 Aug 2019 00:14:26 -0400
Received: by mail-ot1-x32d.google.com with SMTP id j7so34546859ota.9
 for <bug-gnu-emacs@HIDDEN>; Tue, 13 Aug 2019 21:14:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=79NsNKbiQHL9Wov3B/7ChocMOfV3VidAOW/xDp+4DR0=;
 b=LoVQCtnrxSVaAzC2oZ6owO4GNIAy6+gPtPPvSx497w5gDQ93FXGJnS631bUShioX3Y
 wSjxRpy5+YZ4VVRbJlcCHnU6LIuwkV5s6DBh+fcnCXCe7al0X+jfBaXgkKZUksyQOw6A
 QMdCfiBdpjZbOMjQSyF5Cc9FKxDVCKe7iO2koNdI60R7S3I7qRmN0gqVb3dH2JVVJpQI
 vX7Z1vGtFofXG7fyOM2/xynZRy96yvtm3wz44OrK0nDhGAbwIMIuHzpfLzQHcWpp5hiN
 zs9MvPcZ4OJN9q41uVndzO9R1b8bir1Wx9Z33Sy4xagufLM+7s1o03DcpCE9jvp2dqzx
 /JVA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=79NsNKbiQHL9Wov3B/7ChocMOfV3VidAOW/xDp+4DR0=;
 b=edoi0KKUx0wggnpF8RbdpsV0zC21d+i1MvXLeGsml6ihnSROeodAhKsIwKK7lz4kmn
 6W0FyZTMNu7xe/87p7O7yCwxxT1OGGJAPq0d4TZuRy3IUdQdFdVzwumxX1tFOd59o/na
 pJvBSZlxYU5Nhzn3Qujk+mLTt/MDSEB/urA6clEvhxtV94IoCIAk+F8fVROTVHNlL8s9
 OFHyvon+sZIrKCMMnEjaeLQGaslbmLxkARZpUOTCEH1oHU41n91lKsfaUfXUAl1q8hLb
 OQcnJESqfZjnwav3gZ78e7K86brThVxPoFDIt8JYdYwzZ+D2D5HC2K7Ot7P70hLge/IT
 yZvg==
X-Gm-Message-State: APjAAAUKUwVjuSnbPS0zHDyYmudHKDRtKccb+d1QWcklGD6bZSloJahI
 4/CM+wOotpWOHKkAoCEjLu8jRoNcahxXUrncuLIZ4m4kXB8=
X-Google-Smtp-Source: APXvYqy0Kg/Icut4LWSgH9GhYYkS7pcOCWgAFlTV1MmVkWh+0og2djB6S4/4wcFgg4x5ZgdxO0SEoEBU1NMGFYzoM48=
X-Received: by 2002:a9d:7f0f:: with SMTP id j15mr39140921otq.156.1565756064216; 
 Tue, 13 Aug 2019 21:14:24 -0700 (PDT)
MIME-Version: 1.0
From: Tim Cross <theophilusx@HIDDEN>
Date: Wed, 14 Aug 2019 14:14:13 +1000
Message-ID: <CAC=50j_dhWDLg5CCh99nia1adEtvxT20AHm2U92yW5JK_33R8g@HIDDEN>
Subject: 27.0.50; Package.el error
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000033a4705900bfe48"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::32d
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000033a4705900bfe48
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Attempting to install the package elisp-demos from MELPA results in the
error "package does not untar cleanly into directory". However

1. package installs fine with Emacs 26.2
2. Package tar file untars fine from the command line
3. M-x tar-untar-buffer works without error

The author has indicated the package contains an *.org file which is quite
large and includes Chinese characters, so this may be some sort of encoding
issue?

To reporoduce

1. Start emacs -Q
2. Add MELPA repository to package archives e.g.

(add-to-list 'package-archives `("melpa" . "https://melpa.org/packages/"))

3. M-x package-l;ist-packages
4. Try to install elisp-demos package

This is with current emacs 27.0.50 (commit
f4974d6fe6137f436763998be2). Tested under both Ubuntu 189.04 and current
ArchLinux systems.



Backtrace:

Debugger entered--Lisp error: (error "Package does not untar cleanly into
directory elis...")
  signal(error ("Package does not untar cleanly into directory elis..."))
  error("Package does not untar cleanly into directory %s/"
"elisp-demos-20190720.1301")
  package-untar-buffer("elisp-demos-20190720.1301")
  package-unpack(#s(package-desc :name elisp-demos :version (20190720 1301)
:summary "Elisp API Demos" :reqs ((emacs (24 4))) :kind tar :archive
"melpa" :dir nil :extras ((:commit .
"8a517e8457c42735538c38555c6ac799f33855ef") (:keywords "lisp" "docs")
(:authors ("Xu Chunyang" . "mail@HIDDEN")) (:maintainer "Xu
Chunyang" . "mail@HIDDEN") (:url . "
https://github.com/xuchunyang/elisp-demos")) :signed nil))
  #f(compiled-function (&optional good-sigs) #<bytecode
0x155b13f35359>)(nil)
  #f(compiled-function () #<bytecode 0x155b13f353b9>)()
  package--with-response-buffer-1("https://melpa.org/packages/"
#f(compiled-function () #<bytecode 0x155b13f3538d>) :file
"elisp-demos-20190720.1301.tar.sig" :async nil :error-function
#f(compiled-function () #<bytecode 0x155b13f353b9>) :noerror t)
  package--check-signature("https://melpa.org/packages/"
"elisp-demos-20190720.1301.tar"
"elisp-demos-20190720.1301/\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0=
..."
nil #f(compiled-function (&optional good-sigs) #<bytecode 0x155b13f35359>))
  #f(compiled-function () #<bytecode 0x155b13f8ee91>)()
  package--with-response-buffer-1("https://melpa.org/packages/"
#f(compiled-function () #<bytecode 0x155b13f8ee91>) :file
"elisp-demos-20190720.1301.tar" :async nil :error-function
#f(compiled-function () #<bytecode 0x155b134ac1b1>) :noerror nil)
  package-install-from-archive(#s(package-desc :name elisp-demos :version
(20190720 1301) :summary "Elisp API Demos" :reqs ((emacs (24 4))) :kind tar
:archive "melpa" :dir nil :extras ((:commit .
"8a517e8457c42735538c38555c6ac799f33855ef") (:keywords "lisp" "docs")
(:authors ("Xu Chunyang" . "mail@HIDDEN")) (:maintainer "Xu
Chunyang" . "mail@HIDDEN") (:url . "
https://github.com/xuchunyang/elisp-demos")) :signed nil))
  mapc(package-install-from-archive (#s(package-desc :name elisp-demos
:version (20190720 1301) :summary "Elisp API Demos" :reqs ((emacs (24 4)))
:kind tar :archive "melpa" :dir nil :extras ((:commit .
"8a517e8457c42735538c38555c6ac799f33855ef") (:keywords "lisp" "docs")
(:authors ("Xu Chunyang" . "mail@HIDDEN")) (:maintainer "Xu
Chunyang" . "mail@HIDDEN") (:url . "
https://github.com/xuchunyang/elisp-demos")) :signed nil)))
  package-download-transaction((#s(package-desc :name elisp-demos :version
(20190720 1301) :summary "Elisp API Demos" :reqs ((emacs (24 4))) :kind tar
:archive "melpa" :dir nil :extras ((:commit .
"8a517e8457c42735538c38555c6ac799f33855ef") (:keywords "lisp" "docs")
(:authors ("Xu Chunyang" . "mail@HIDDEN")) (:maintainer "Xu
Chunyang" . "mail@HIDDEN") (:url . "
https://github.com/xuchunyang/elisp-demos")) :signed nil)))
  package-install(#s(package-desc :name elisp-demos :version (20190720
1301) :summary "Elisp API Demos" :reqs ((emacs (24 4))) :kind tar :archive
"melpa" :dir nil :extras ((:commit .
"8a517e8457c42735538c38555c6ac799f33855ef") (:keywords "lisp" "docs")
(:authors ("Xu Chunyang" . "mail@HIDDEN")) (:maintainer "Xu
Chunyang" . "mail@HIDDEN") (:url . "
https://github.com/xuchunyang/elisp-demos")) :signed nil) dont-select)
  package-menu--perform-transaction((#s(package-desc :name elisp-demos
:version (20190720 1301) :summary "Elisp API Demos" :reqs ((emacs (24 4)))
:kind tar :archive "melpa" :dir nil :extras ((:commit .
"8a517e8457c42735538c38555c6ac799f33855ef") (:keywords "lisp" "docs")
(:authors ("Xu Chunyang" . "mail@HIDDEN")) (:maintainer "Xu
Chunyang" . "mail@HIDDEN") (:url . "
https://github.com/xuchunyang/elisp-demos")) :signed nil)) nil)
  package-menu-execute()
  funcall-interactively(package-menu-execute)
  call-interactively(package-menu-execute nil nil)
  command-execute(package-menu-execute)



In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.8,
cairo version 1.16.0)
 of 2019-08-14 built on tim-desktop
Repository revision: f4974d6fe6137f436763998be27afafea9866098
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Ubuntu 19.04

Recent messages:
Operation [ Install 1 ] started
Setting =E2=80=98package-selected-packages=E2=80=99 temporarily since "emac=
s -q" would
overwrite customizations
Contacting host: melpa.org:443 [2 times]
Parsing tar file...
Warning: premature EOF parsing tar file
Entering debugger...
Mark set
next-line: End of buffer [3 times]
Quit [2 times]
previous-line: Beginning of buffer [19 times]
previous-line: Beginning of buffer
Configured using:
 'configure --with-cairo'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD JSON
PDUMPER LCMS2 GMP

Important settings:
  value of $LC_CTYPE: en_AU.UTF-8
  value of $LANG: en_AU.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Apropos

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail apropos cl-extra help-fns
radix-tree cl-print debug backtrace help-mode find-func tar-mode
arc-mode archive-mode cus-edit cus-start cus-load wid-edit mm-archive
message dired dired-loaddefs format-spec rfc822 mml mml-sec epa derived
gnus-util rmail rmail-loaddefs text-property-search time-date mailabbrev
gmm-utils mailheader mm-decode mm-bodies mm-encode misearch
multi-isearch mail-utils mule-util gnutls network-stream url-http
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-gw
nsm rmc puny url-cache url-auth url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap epg
epg-config finder-inf package easymenu browse-url url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map url-vars seq byte-opt gv bytecomp
byte-compile cconv cl-loaddefs cl-lib tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting cairo move-toolbar gtk x-toolkit
x multi-tty make-network-process emacs)

Memory information:
((conses 16 1044878 119457)
 (symbols 48 15160 2)
 (strings 32 131539 21291)
 (string-bytes 1 4673095)
 (vectors 16 31527)
 (vector-slots 8 379598 46544)
 (floats 8 44 321)
 (intervals 56 141549 2603)
 (buffers 992 20))

--=20

--=20
regards,

Tim

--
Tim Cross

--000000000000033a4705900bfe48
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><br>Attempting to install the package elisp-demos from MEL=
PA results in the<br>error &quot;package does not untar cleanly into direct=
ory&quot;. However<br><br>1. package installs fine with Emacs 26.2<br>2. Pa=
ckage tar file untars fine from the command line<br>3. M-x tar-untar-buffer=
 works without error<br><br>The author has indicated the package contains a=
n *.org file which is quite large and includes Chinese characters, so this =
may be some sort of encoding issue?<div>=C2=A0<br>To reporoduce<br><br>1. S=
tart emacs -Q<br>2. Add MELPA repository to package archives e.g.<br><br>(a=
dd-to-list &#39;package-archives `(&quot;melpa&quot; . &quot;<a href=3D"htt=
ps://melpa.org/packages/">https://melpa.org/packages/</a>&quot;))<br><br>3.=
 M-x package-l;ist-packages<br>4. Try to install elisp-demos package<br><br=
>This is with current emacs 27.0.50 (commit<br>f4974d6fe6137f436763998be2).=
 Tested under both Ubuntu 189.04 and current<br>ArchLinux systems.<br><br><=
br><br>Backtrace:<br><br>Debugger entered--Lisp error: (error &quot;Package=
 does not untar cleanly into directory elis...&quot;)<br>=C2=A0 signal(erro=
r (&quot;Package does not untar cleanly into directory elis...&quot;))<br>=
=C2=A0 error(&quot;Package does not untar cleanly into directory %s/&quot; =
&quot;elisp-demos-20190720.1301&quot;)<br>=C2=A0 package-untar-buffer(&quot=
;elisp-demos-20190720.1301&quot;)<br>=C2=A0 package-unpack(#s(package-desc =
:name elisp-demos :version (20190720 1301) :summary &quot;Elisp API Demos&q=
uot; :reqs ((emacs (24 4))) :kind tar :archive &quot;melpa&quot; :dir nil :=
extras ((:commit . &quot;8a517e8457c42735538c38555c6ac799f33855ef&quot;) (:=
keywords &quot;lisp&quot; &quot;docs&quot;) (:authors (&quot;Xu Chunyang&qu=
ot; . &quot;<a href=3D"mailto:mail@HIDDEN">mail@HIDDEN</a>&qu=
ot;)) (:maintainer &quot;Xu Chunyang&quot; . &quot;<a href=3D"mailto:mail@x=
uchunyang.me">mail@HIDDEN</a>&quot;) (:url . &quot;<a href=3D"https:=
//github.com/xuchunyang/elisp-demos">https://github.com/xuchunyang/elisp-de=
mos</a>&quot;)) :signed nil))<br>=C2=A0 #f(compiled-function (&amp;optional=
 good-sigs) #&lt;bytecode 0x155b13f35359&gt;)(nil)<br>=C2=A0 #f(compiled-fu=
nction () #&lt;bytecode 0x155b13f353b9&gt;)()<br>=C2=A0 package--with-respo=
nse-buffer-1(&quot;<a href=3D"https://melpa.org/packages/">https://melpa.or=
g/packages/</a>&quot; #f(compiled-function () #&lt;bytecode 0x155b13f3538d&=
gt;) :file &quot;elisp-demos-20190720.1301.tar.sig&quot; :async nil :error-=
function #f(compiled-function () #&lt;bytecode 0x155b13f353b9&gt;) :noerror=
 t)<br>=C2=A0 package--check-signature(&quot;<a href=3D"https://melpa.org/p=
ackages/">https://melpa.org/packages/</a>&quot; &quot;elisp-demos-20190720.=
1301.tar&quot; &quot;elisp-demos-20190720.1301/\0\0\0\0\0\0\0\0\0\0\0\0\0\0=
\0\0\0\0\0\0\0\0\0\0...&quot; nil #f(compiled-function (&amp;optional good-=
sigs) #&lt;bytecode 0x155b13f35359&gt;))<br>=C2=A0 #f(compiled-function () =
#&lt;bytecode 0x155b13f8ee91&gt;)()<br>=C2=A0 package--with-response-buffer=
-1(&quot;<a href=3D"https://melpa.org/packages/">https://melpa.org/packages=
/</a>&quot; #f(compiled-function () #&lt;bytecode 0x155b13f8ee91&gt;) :file=
 &quot;elisp-demos-20190720.1301.tar&quot; :async nil :error-function #f(co=
mpiled-function () #&lt;bytecode 0x155b134ac1b1&gt;) :noerror nil)<br>=C2=
=A0 package-install-from-archive(#s(package-desc :name elisp-demos :version=
 (20190720 1301) :summary &quot;Elisp API Demos&quot; :reqs ((emacs (24 4))=
) :kind tar :archive &quot;melpa&quot; :dir nil :extras ((:commit . &quot;8=
a517e8457c42735538c38555c6ac799f33855ef&quot;) (:keywords &quot;lisp&quot; =
&quot;docs&quot;) (:authors (&quot;Xu Chunyang&quot; . &quot;<a href=3D"mai=
lto:mail@HIDDEN">mail@HIDDEN</a>&quot;)) (:maintainer &quot;X=
u Chunyang&quot; . &quot;<a href=3D"mailto:mail@HIDDEN">mail@xuchuny=
ang.me</a>&quot;) (:url . &quot;<a href=3D"https://github.com/xuchunyang/el=
isp-demos">https://github.com/xuchunyang/elisp-demos</a>&quot;)) :signed ni=
l))<br>=C2=A0 mapc(package-install-from-archive (#s(package-desc :name elis=
p-demos :version (20190720 1301) :summary &quot;Elisp API Demos&quot; :reqs=
 ((emacs (24 4))) :kind tar :archive &quot;melpa&quot; :dir nil :extras ((:=
commit . &quot;8a517e8457c42735538c38555c6ac799f33855ef&quot;) (:keywords &=
quot;lisp&quot; &quot;docs&quot;) (:authors (&quot;Xu Chunyang&quot; . &quo=
t;<a href=3D"mailto:mail@HIDDEN">mail@HIDDEN</a>&quot;)) (:ma=
intainer &quot;Xu Chunyang&quot; . &quot;<a href=3D"mailto:mail@xuchunyang.=
me">mail@HIDDEN</a>&quot;) (:url . &quot;<a href=3D"https://github.c=
om/xuchunyang/elisp-demos">https://github.com/xuchunyang/elisp-demos</a>&qu=
ot;)) :signed nil)))<br>=C2=A0 package-download-transaction((#s(package-des=
c :name elisp-demos :version (20190720 1301) :summary &quot;Elisp API Demos=
&quot; :reqs ((emacs (24 4))) :kind tar :archive &quot;melpa&quot; :dir nil=
 :extras ((:commit . &quot;8a517e8457c42735538c38555c6ac799f33855ef&quot;) =
(:keywords &quot;lisp&quot; &quot;docs&quot;) (:authors (&quot;Xu Chunyang&=
quot; . &quot;<a href=3D"mailto:mail@HIDDEN">mail@HIDDEN</a>&=
quot;)) (:maintainer &quot;Xu Chunyang&quot; . &quot;<a href=3D"mailto:mail=
@xuchunyang.me">mail@HIDDEN</a>&quot;) (:url . &quot;<a href=3D"http=
s://github.com/xuchunyang/elisp-demos">https://github.com/xuchunyang/elisp-=
demos</a>&quot;)) :signed nil)))<br>=C2=A0 package-install(#s(package-desc =
:name elisp-demos :version (20190720 1301) :summary &quot;Elisp API Demos&q=
uot; :reqs ((emacs (24 4))) :kind tar :archive &quot;melpa&quot; :dir nil :=
extras ((:commit . &quot;8a517e8457c42735538c38555c6ac799f33855ef&quot;) (:=
keywords &quot;lisp&quot; &quot;docs&quot;) (:authors (&quot;Xu Chunyang&qu=
ot; . &quot;<a href=3D"mailto:mail@HIDDEN">mail@HIDDEN</a>&qu=
ot;)) (:maintainer &quot;Xu Chunyang&quot; . &quot;<a href=3D"mailto:mail@x=
uchunyang.me">mail@HIDDEN</a>&quot;) (:url . &quot;<a href=3D"https:=
//github.com/xuchunyang/elisp-demos">https://github.com/xuchunyang/elisp-de=
mos</a>&quot;)) :signed nil) dont-select)<br>=C2=A0 package-menu--perform-t=
ransaction((#s(package-desc :name elisp-demos :version (20190720 1301) :sum=
mary &quot;Elisp API Demos&quot; :reqs ((emacs (24 4))) :kind tar :archive =
&quot;melpa&quot; :dir nil :extras ((:commit . &quot;8a517e8457c42735538c38=
555c6ac799f33855ef&quot;) (:keywords &quot;lisp&quot; &quot;docs&quot;) (:a=
uthors (&quot;Xu Chunyang&quot; . &quot;<a href=3D"mailto:mail@HIDDEN=
e">mail@HIDDEN</a>&quot;)) (:maintainer &quot;Xu Chunyang&quot; . &q=
uot;<a href=3D"mailto:mail@HIDDEN">mail@HIDDEN</a>&quot;) (:u=
rl . &quot;<a href=3D"https://github.com/xuchunyang/elisp-demos">https://gi=
thub.com/xuchunyang/elisp-demos</a>&quot;)) :signed nil)) nil)<br>=C2=A0 pa=
ckage-menu-execute()<br>=C2=A0 funcall-interactively(package-menu-execute)<=
br>=C2=A0 call-interactively(package-menu-execute nil nil)<br>=C2=A0 comman=
d-execute(package-menu-execute)<br><br><br><br>In GNU Emacs 27.0.50 (build =
1, x86_64-pc-linux-gnu, GTK+ Version 3.24.8, cairo version 1.16.0)<br>=C2=
=A0of 2019-08-14 built on tim-desktop<br>Repository revision: f4974d6fe6137=
f436763998be27afafea9866098<br>Repository branch: master<br>Windowing syste=
m distributor &#39;The X.Org Foundation&#39;, version 11.0.12004000<br>Syst=
em Description: Ubuntu 19.04<br><br>Recent messages:<br>Operation [ Install=
 1 ] started<br>Setting =E2=80=98package-selected-packages=E2=80=99 tempora=
rily since &quot;emacs -q&quot; would overwrite customizations<br>Contactin=
g host: <a href=3D"http://melpa.org:443">melpa.org:443</a> [2 times]<br>Par=
sing tar file... <br>Warning: premature EOF parsing tar file<br>Entering de=
bugger...<br>Mark set<br>next-line: End of buffer [3 times]<br>Quit [2 time=
s]<br>previous-line: Beginning of buffer [19 times]<br>previous-line: Begin=
ning of buffer<br>Configured using:<br>=C2=A0&#39;configure --with-cairo&#3=
9;<br><br>Configured features:<br>XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GP=
M DBUS GSETTINGS GLIB NOTIFY<br>INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREET=
YPE HARFBUZZ M17N_FLT LIBOTF<br>ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM =
THREADS LIBSYSTEMD JSON<br>PDUMPER LCMS2 GMP<br><br>Important settings:<br>=
=C2=A0 value of $LC_CTYPE: en_AU.UTF-8<br>=C2=A0 value of $LANG: en_AU.UTF-=
8<br>=C2=A0 value of $XMODIFIERS: @im=3Dibus<br>=C2=A0 locale-coding-system=
: utf-8-unix<br><br>Major mode: Apropos<br><br>Minor modes in effect:<br>=
=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 electric-in=
dent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=
=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global=
-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode:=
 t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=
=C2=A0 auto-compression-mode: t<br>=C2=A0 buffer-read-only: t<br>=C2=A0 lin=
e-number-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-path shadows:=
<br>None found.<br><br>Features:<br>(shadow sort mail-extr emacsbug sendmai=
l apropos cl-extra help-fns<br>radix-tree cl-print debug backtrace help-mod=
e find-func tar-mode<br>arc-mode archive-mode cus-edit cus-start cus-load w=
id-edit mm-archive<br>message dired dired-loaddefs format-spec rfc822 mml m=
ml-sec epa derived<br>gnus-util rmail rmail-loaddefs text-property-search t=
ime-date mailabbrev<br>gmm-utils mailheader mm-decode mm-bodies mm-encode m=
isearch<br>multi-isearch mail-utils mule-util gnutls network-stream url-htt=
p<br>mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr url-g=
w<br>nsm rmc puny url-cache url-auth url url-proxy url-privacy url-expand<b=
r>url-methods url-history url-cookie url-domsuf url-util mailcap epg<br>epg=
-config finder-inf package easymenu browse-url url-handlers url-parse<br>au=
th-source cl-seq eieio eieio-core cl-macs eieio-loaddefs<br>password-cache =
json subr-x map url-vars seq byte-opt gv bytecomp<br>byte-compile cconv cl-=
loaddefs cl-lib tooltip eldoc electric uniquify<br>ediff-hook vc-hooks lisp=
-float-type mwheel term/x-win x-win<br>term/common-win x-dnd tool-bar dnd f=
ontset image regexp-opt fringe<br>tabulated-list replace newcomment text-mo=
de elisp-mode lisp-mode<br>prog-mode register page menu-bar rfn-eshadow ise=
arch timer select<br>scroll-bar mouse jit-lock font-lock syntax facemenu fo=
nt-core<br>term/tty-colors frame cl-generic cham georgian utf-8-lang misc-l=
ang<br>vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp5193=
2<br>hebrew greek romanian slovak czech european ethiopic indian cyrillic<b=
r>chinese composite charscript charprop case-table epa-hook jka-cmpr-hook<b=
r>help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs<br>bu=
tton faces cus-face macroexp files text-properties overlay sha1 md5<br>base=
64 format env code-pages mule custom widget hashtable-print-readable<br>bac=
kquote threads dbusbind inotify lcms2 dynamic-setting<br>system-font-settin=
g font-render-setting cairo move-toolbar gtk x-toolkit<br>x multi-tty make-=
network-process emacs)<br><br>Memory information:<br>((conses 16 1044878 11=
9457)<br>=C2=A0(symbols 48 15160 2)<br>=C2=A0(strings 32 131539 21291)<br>=
=C2=A0(string-bytes 1 4673095)<br>=C2=A0(vectors 16 31527)<br>=C2=A0(vector=
-slots 8 379598 46544)<br>=C2=A0(floats 8 44 321)<br>=C2=A0(intervals 56 14=
1549 2603)<br>=C2=A0(buffers 992 20))<br><br>-- <br><div><br></div>-- <br><=
div dir=3D"ltr" class=3D"gmail_signature" data-smartmail=3D"gmail_signature=
"><div dir=3D"ltr"><div>regards,</div><div><br></div><div>Tim</div><div><br=
></div><div>--</div>Tim Cross<br><div><br></div></div></div></div></div>

--000000000000033a4705900bfe48--




Acknowledgement sent to Tim Cross <theophilusx@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37023; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 16 Aug 2019 07:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.